Debian Bug report logs - #511416
python-moinmoin: Fix the forgotten password email login URL.

version graph

Package: python-moinmoin; Maintainer for python-moinmoin is Steve McIntyre <93sam@debian.org>; Source for python-moinmoin is src:moin.

Reported by: Frank Lin PIAT <fpiat@klabs.be>

Date: Sat, 10 Jan 2009 17:30:01 UTC

Severity: normal

Tags: etch, patch

Found in version moin/1.5.3-1.2etch1

Fixed in version moin/1.7.1-2

Done: Frank Lin PIAT <fpiat@klabs.be>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#511416; Package python-moinmoin. (Sat, 10 Jan 2009 17:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Lin PIAT <fpiat@klabs.be>:
New Bug report received and forwarded. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Sat, 10 Jan 2009 17:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frank Lin PIAT <fpiat@klabs.be>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-moinmoin: Fix the forgotten password email login URL.
Date: Sat, 10 Jan 2009 18:26:51 +0100
[Message part 1 (text/plain, inline)]
Package: python-moinmoin
Version: 1.5.3-1.2etch1
Severity: normal

Hello,

The mail sent to users how go through the "lost password" procedure
has a wrong URL:

> Your wiki account data...
> 
> Login URL: http://wiki.debian.org/UserPreferences

This URL is really misleading, since it's the page to create an account.
The URL should be anything with ?action=login.

The patch attach attached is a partiat backport of upstream's
  http://hg.moinmo.in/moin/1.5/rev/50c7a0cc1791
(The rest of the patch isn't required, because it's fixed by the patch
 020_password_reminder.patch)
[0001-Fix-the-forgotten-password-email-login-URL.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#511416; Package python-moinmoin. (Mon, 12 Jan 2009 21:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Lin PIAT <fpiat@klabs.be>:
Extra info received and forwarded to list. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Mon, 12 Jan 2009 21:57:09 GMT) Full text and rfc822 format available.

Message #10 received at 511416@bugs.debian.org (full text, mbox):

From: Frank Lin PIAT <fpiat@klabs.be>
To: debian-release@lists.debian.org
Cc: Jonas Smedegaard <dr@jones.dk>, 504562@bugs.debian.org, 511416@bugs.debian.org
Subject: Re: stable update for Moinmoin (bugs 511416 and 504562)
Date: Mon, 12 Jan 2009 22:55:43 +0100
[Message part 1 (text/plain, inline)]
Hello,

I have a attached patch that address two serious usability issues in
moinmoin wiki (which happens to run on wiki.d.o ... where we had
complaints from users).

The changes are explained in the mail I sent to the maintainer:

On Sun, 2009-01-11 at 04:45 +0100, Jonas Smedegaard wrote:
> On Sat, Jan 10, 2009 at 06:54:54PM +0100, Frank Lin PIAT wrote:
> >First of all, I would like to wish you a happy new year.
> 
> >I am wondering about a stable-proposed-update for Etch's moinmoin.
> >There are two bugs that seriously affects the usability. The patchs
> >are non-intrusive:
> >
> >* #511416: Fix the forgotten password email login URL.
> >  End-user that request a copy of their password will be sent an email
> >  with a hash of their password. However, the URL points to the
> >  account create page, instead of the login page.
> >
> >* #504562: the title "Table of contents" is broken for all Spanish
> >  speaking user. It also fixes the link to the help pages
> >  (HelpContents), so it actually points to the Spanish version.
> >
> >I would finalize the patches if a s-p-u upload is ok for you.
> 
> IT seems to me that even though both those issues are highly annoying 
> they are not security-related.

Would this change be accepted, if we were to upload a new package 
to stable-proposed-updates ?

Thanks in advance,

Franklin
[moin_1.5.3-1.2etch2.patch (application/mbox, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#511416; Package python-moinmoin. (Tue, 13 Jan 2009 18:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adeodato Simó <dato@net.com.org.es>:
Extra info received and forwarded to list. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Tue, 13 Jan 2009 18:27:07 GMT) Full text and rfc822 format available.

Message #15 received at 511416@bugs.debian.org (full text, mbox):

From: Adeodato Simó <dato@net.com.org.es>
To: Frank Lin PIAT <fpiat@klabs.be>
Cc: debian-release@lists.debian.org, Jonas Smedegaard <dr@jones.dk>, 504562@bugs.debian.org, 511416@bugs.debian.org
Subject: Re: stable update for Moinmoin (bugs 511416 and 504562)
Date: Tue, 13 Jan 2009 19:25:14 +0100
* Frank Lin PIAT [Mon, 12 Jan 2009 22:55:43 +0100]:

> Hello,

Hello, thanks for pursuing this.

> > >* #511416: Fix the forgotten password email login URL.
> > >  End-user that request a copy of their password will be sent an email
> > >  with a hash of their password. However, the URL points to the
> > >  account create page, instead of the login page.

This fix and its associated diff is okay, particularly since it comes
from upstream.

> > >* #504562: the title "Table of contents" is broken for all Spanish
> > >  speaking user. It also fixes the link to the help pages
> > >  (HelpContents), so it actually points to the Spanish version.

Regarding this diff for this fix:

> @@ -1000,7 +1000,7 @@
>  '''[Bookmark reached]''':
>  '''[enlace personal alcanzado]''',
>  '''Contents''':
> -'''AyudaDeContenidos''',
> +'''Contenidos''',
>  '''No wanted pages in this wiki.''':
>  '''No existen páginas-por-crear en este wiki.''',
>  '''Invalid include arguments "%s"!''':

That hunk is (AFAICS) clear: the translation for "Contents" should be
"Contenidos" and not "AyudaDeContenidos".

> @@ -924,7 +924,7 @@
>  '''SiteNavigation''':
>  '''NavegaciónDelSitio''',
>  '''HelpContents''':
> -'''ContenidosDeAyuda''',
> +'''AyudaDeContenidos''',
>  '''HelpOnFormatting''':
>  '''AyudaSobreFormato''',
>  '''UserPreferences''':

This hunk, OTOH, I don't understand. "ContenidosDeAyuda" is a better
translation for "HelpContents" than "AyudaDeContenidos". Can you
ellaborate on this fix?

> Would this change be accepted, if we were to upload a new package 
> to stable-proposed-updates ?

Yes, once we clear up the issue above. Just coordinate with the
maintainer as to who should make the upload.

---

On Sun, 2009-01-11 at 04:45 +0100, Jonas Smedegaard wrote:

> IT seems to me that even though both those issues are highly annoying 
> they are not security-related.

We not only fix security bugs through stable updates. :-)

---

Thanks,

-- 
Adeodato Simó                                     dato at net.com.org.es
Debian Developer                                  adeodato at debian.org
 
Mankind are very odd creatures: one half censure what they practice, the
other half practice what they censure; the rest always say and do as
they ought.
                -- Michel de Montaigne





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#511416; Package python-moinmoin. (Tue, 13 Jan 2009 19:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. (Tue, 13 Jan 2009 19:39:03 GMT) Full text and rfc822 format available.

Message #20 received at 511416@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Frank Lin PIAT <fpiat@klabs.be>, debian-release@lists.debian.org, 504562@bugs.debian.org, 511416@bugs.debian.org
Subject: Re: stable update for Moinmoin (bugs 511416 and 504562)
Date: Tue, 13 Jan 2009 20:38:07 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Tue, Jan 13, 2009 at 07:25:14PM +0100, Adeodato Simó wrote:
>* Frank Lin PIAT [Mon, 12 Jan 2009 22:55:43 +0100]:
>> > >* #511416: Fix the forgotten password email login URL.
>> > >  End-user that request a copy of their password will be sent an 
>> > >  email with a hash of their password. However, the URL points to 
>> > >  the account create page, instead of the login page.
>
>This fix and its associated diff is okay, particularly since it comes 
>from upstream.

Great!


>> Would this change be accepted, if we were to upload a new package 
>> to stable-proposed-updates ?
>
>Yes, once we clear up the issue above. Just coordinate with the
>maintainer as to who should make the upload.

We are already in tune, and will handle that.

(Frank Lin really is co-maintainer and should be added as uploader!)


  - Jonas

(co-)maintainer of MoinMoin for Debian.

- -- 
* Jonas Smedegaard - idealist og Internet-arkitekt
* Tlf.: +45 40843136  Website: http://dr.jones.dk/

  [x] quote me freely  [ ] ask before reusing  [ ] keep private
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkls7Z4ACgkQn7DbMsAkQLhEbACfRvKO/5XildwtZ6SfnWV/gETe
bk8An2EGG+CGoJLYb8FEmHmBr8rLtEly
=0gSw
-----END PGP SIGNATURE-----




Tags added: etch, patch Request was from Frank Lin PIAT <fpiat@klabs.be> to control@bugs.debian.org. (Sat, 27 Jun 2009 13:45:03 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 1.7.1-2. Request was from Frank Lin PIAT <fpiat@klabs.be> to control@bugs.debian.org. (Sat, 27 Jun 2009 13:45:03 GMT) Full text and rfc822 format available.

Reply sent to Frank Lin PIAT <fpiat@klabs.be>:
You have taken responsibility. (Sat, 27 Jun 2009 13:45:08 GMT) Full text and rfc822 format available.

Notification sent to Frank Lin PIAT <fpiat@klabs.be>:
Bug acknowledged by developer. (Sat, 27 Jun 2009 13:45:08 GMT) Full text and rfc822 format available.

Message #29 received at 511416-close@bugs.debian.org (full text, mbox):

From: Frank Lin PIAT <fpiat@klabs.be>
To: 511416-close@bugs.debian.org
Cc: control@bugs.debian.org
Subject: python-moinmoin: Fix the forgotten password email login URL.
Date: Sat, 27 Jun 2009 15:42:56 +0200
tag 511416 etch,patch
fixed 511416 1.7.1-2
thanks

This bug is solved Lenny (moinmoin 1.7)

Franklin





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 26 Jul 2009 07:29:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:53:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.